org.eclipse.graphiti.ui.platform

## Interface IImageProvider

All Superinterfaces:
  IExtension

All Known Implementing Classes:
  AbstractImageProvider, ExportDiagramAsImageDummyImageProvider, PlatformImageProvider

    public interface IImageProvider
    extends IExtension

The interface IImageProvider. Instead of implementing this interface directly the clients should extend the class `AbstractImageProvider`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getImageFilePath(java.lang.String imageId)` This is a method simply returns the location of the image file in the plug-in.
`java.lang.String` `getPluginId()`
`void` `setPluginId(java.lang.String pluginId)`

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

### Method Detail

#### setPluginId

    void setPluginId(java.lang.String pluginId)

Parameters:
  `pluginId` - The pluginId of the plug-in containing the image files provided by this image-provider

#### getPluginId

    java.lang.String getPluginId()

Returns:
  The pluginId of the plug-in containing the image files provided by this image-provider

#### getImageFilePath

    java.lang.String getImageFilePath(java.lang.String imageId)

This is a method simply returns the location of the image file in the plug-in. The path is relative to the root of the plug-in. The path must not have a leading "." or path separator. Clients should use a path like "icons/mysample.gif" rather than "./icons/mysample.gif" or "/icons/mysample.gif".

Returns:
  imageFilePath the relative path of the image file, relative to the root of the plug-in; the path must be legal